! Compiler problem :
! CentOS Linux release 7.6.1810 (Core)
! Linux ...  3.10.0-957.5.1.el7.x86_64 #1 SMP Fri Feb 1 14:54:57 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
!
! Problem
!
! When mpif90 is used to compile a simple Fortran source with the -fno-range-check option, any byte
! assignment in code or data statement will give a warning, eg
!
!   mpif90_bug_report.f:30.13:
!           b1 = 6
!                1
!   Warning: Possible change of value in conversion from INTEGER(4) to INTEGER(1) at (1)
!
! This only happens with 'mpif90 -c -fno-range-check'; there is no warning when using gfortran.
! However, without  -fno-range-check, we get other, fatal, errors, so that's even worse :
!
!   mpif90_bug_report.f:28.24:
!
!           byte b2 /  '89'X/
!                           1
!   Error: Arithmetic overflow converting INTEGER(16) to INTEGER(1) at (1). This check can be disabled with the option -fno-range-check

        program test

        byte b1
        byte b2 /  '89'X/

        b1 = 6
        b2 = 7

        end
